#requireResetPassword {
    display: none;
}

#requireResetPassword .requireResetTitle {
    font-size: 18px;
    font-weight: 700;
    line-height: 120%;
}

@media (min-width: 768px) {
    #requireResetPassword .requireResetTitle {
        font-size: 32px;
    }
}

#requireResetPassword .requireResetDescription {
    color: #6b6d80;
    font-size: 12px;
    font-weight: 500;
    line-height: 133%;
    margin-block-start: 8px;
    text-wrap: balance;
}

@media (min-width: 768px) {
    #requireResetPassword .requireResetDescription {
        font-size: 16px;
        margin-block-start: 12px;
    }
}

#requireResetPassword .imgWrapper {
    max-width: 130px;
    width: 100%;
    position: relative;
    display: grid;
    user-select: none;
    align-items: center;
    perspective: 150px;
    margin-block-start: 24px;
    margin-inline: auto;
    mask-image: linear-gradient(to top, rgba(0, 0, 0, 0) 0%, rgb(0, 0, 0) 25%);
}

@media (min-width: 768px) {
    #requireResetPassword .imgWrapper {
        margin-block-start: 42px;
        max-width: 174px;
    }
}

#requireResetPassword .imgWrapper .img {
    grid-area: 1/1;
    width: 100%;
    z-index: 1;
}

#requireResetPassword .imgWrapper .logo {
    grid-area: 1/1;
    z-index: 2;
    max-width: 35%;
    filter: grayscale(1) contrast(0) brightness(3);
    transform-origin: 50% 50%;
    transform: rotate3d(-1, 1, 1, -19deg) translateX(25%);
}

#requireResetPassword .notify {
    display: flex;
    padding: 12px 16px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 12px;
    border: 1px solid #ecf0f5;
    color: #1f9649;
    font-size: 12px;
    font-weight: 500;
    line-height: 125%;
    margin-block-start: 32px;
    text-wrap: balance;
}

@media (min-width: 768px) {
    #requireResetPassword .notify {
        padding: 18px 22px;
        font-size: 14px;
        border-radius: 16px;
        margin-block-start: 60px;
        line-height: 142%;
    }
}

#requireResetPassword .notify .icon {
    flex-shrink: 0;
    width: 14px;
    color: #303345;
}

@media (min-width: 768px) {
    #requireResetPassword .notify .icon {
        width: 16px;
    }
}

:root.require-reset-password
    .formContent
    > *:not(:is(.logoLink, .formCredits, #requireResetPassword)) {
    display: none;
}

@media (min-width: 768px) {
    :root.require-reset-password .formContent {
        width: 500px;
    }
}

:root.require-reset-password .formContent .logoLink {
    max-width: 130px;
}

@media (min-width: 768px) {
    :root.require-reset-password .formContent .logoLink {
        max-width: 130px;
    }
}

:root.require-reset-password .formContent #requireResetPassword {
    display: block;
}
